//
// Text Editor Demo
// by Eric Shepherd
//
// Constants
//

/*
	Copyright 1999, Be Incorporated.   All Rights Reserved.
	This file may be used under the terms of the Be Sample Code License.
*/

#ifndef __TWCONSTANTS_H__
#define __TWCONSTANTS_H__

// App and Document MIME types															// KIRILLA
																						//
#define 	APP_SIGNATURE				"application/x-vnd.be-textworld"				// Even though MIME types are
#define		DOCUMENT_FILETYPE			"application/x-vnd.be-textworld-document"		// case-insensitive, it's good
																						// to avoid Upper-case letters.
// Messages for window registry with application										// The MIME's are stored in 
																						// lower-case in the MIME db
const uint32 WINDOW_REGISTRY_ADD		= 'WRad';										// which would make comparisons
const uint32 WINDOW_REGISTRY_SUB		= 'WRsb';										// fail.
const uint32 WINDOW_REGISTRY_ADDED		= 'WRdd';

// Messages for menu commands

const uint32 MENU_FILE_NEW				= 'MFnw';
const uint32 MENU_FILE_OPEN				= 'MFop';
const uint32 MENU_FILE_CLOSE			= 'MFcl';
const uint32 MENU_FILE_SAVE				= 'MFsv';
const uint32 MENU_FILE_SAVEAS			= 'MFsa';
const uint32 MENU_FILE_PAGESETUP		= 'MFps';
const uint32 MENU_FILE_PRINT			= 'MFpr';
const uint32 MENU_FILE_QUIT				= 'MFqu';

#endif